<?
################################################################################
#    TGIOTT - The Guestbook Is On The Table - A simple configurable guestbook
#    Copyright (C) 2001 Rafael Ferreira Silva - rfsbsb@bol.com.br
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#    See docs/license.txt to read the GPL licence
#
#################################################################################

ob_start();
session_start();

/*
   Including the necessary files
   
   Incluindo os arquivos necessários
*/
include("../lib/fasttemplate.php");
include("../lib/authentikate.php");
require("../lib/paging_class.php");
include("../config.php");
include("../lang/".$cfg["language"].".lang.php");
include("../common.inc.php");

/*
   Starting the template
   
   Iniciando o template
*/
$tpl = new FastTemplate('../template/'.$cfg["tpl_dir"]."/admin");
$tpl->define(array('index'=>'index.htm')); 

$auth = new AuthentiKate;

if(isset($_POST["submit"])){
   $auth->sessionSet ($_POST["login"], $_POST["password"]);
   if($auth->loginAuth('master','error.php','index.php')){
      header ('Location: admin.php');
   }
}


/*
   General language parsing
   
   Substituição geral de idioma
*/
$tpl->assign('{TEMPLATE_DIR}',$cfg["tpl_dir"]);
$tpl->assign('{BOOK_PAGE_TITLE}',$lang['book_page_title']);
$tpl->assign('{BOOK_TITLE}',$lang['book_title']);
$tpl->assign('{LOGIN_LABEL}',$lang['admin_login_label']);
$tpl->assign('{PASSWORD_LABEL}',$lang['admin_password_label']);
$tpl->assign('{LOGIN_SUBMIT_LABEL}',$lang['admin_login_submit_label']);


/*
   FastTemplate class content parsing

   Substituição do conteúdo através da classe FastTemplate
*/
$tpl->parse('OUTPUT','index');
$tpl->FastPrint('OUTPUT');

ob_end_flush();
?>
